package uy.edu.fing.tse.practico.db;

import javax.annotation.PostConstruct;
import javax.ejb.Local;
import javax.ejb.LocalBean;
import javax.ejb.Remote;
import javax.ejb.Singleton;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Singleton
@Local({DataAccessLocal.class})
@Remote({DataAccessRemote.class})
@LocalBean
public class DataAccessBean implements DataAccessLocal, DataAccessRemote {

    @PersistenceContext(unitName = "central")
    private EntityManager em;

    @PostConstruct
    void init() {
        //Despues del constructor hace esto
    }

}
